Update Staff
Update an existing staff member's user account and/or doctor profile.
Endpoint
POST /v1/clinic/update-clinic-staff/{userId}
Path Parameters
| Parameter |
Type |
Required |
Description |
userId |
integer |
Yes |
User ID of the staff member to update |
Request Body
| Parameter |
Type |
Required |
Description |
update_user_dto |
object |
No |
Updated user account fields (see Update User Object) |
create_doctor_dto |
object |
No |
Updated doctor profile fields (see Doctor Details Object) |
Update User Object
| Parameter |
Type |
Required |
Description |
first_name |
string |
No |
First name |
middle_name |
string |
No |
Middle name |
last_name |
string |
No |
Last name |
email |
string |
No |
Email address |
mobile |
string |
No |
Mobile phone number |
sex |
string |
No |
MALE, FEMALE, or OTHER |
date_of_birth |
string (date) |
No |
Date of birth (YYYY-MM-DD) |
photo_url |
string |
No |
Profile photo URL |
status |
string |
No |
ACTIVE or INACTIVE |
roles |
array |
No |
Updated system roles |
user_selected_time_zone |
string |
No |
User's preferred timezone (e.g., America/Los_Angeles) |
Doctor Details Object
| Parameter |
Type |
Required |
Description |
master_specialization |
string |
No |
Primary specialization |
qualifications |
array |
No |
Qualification strings |
services |
array |
No |
Services offered |
about |
string |
No |
Bio / description |
registration_number |
string |
No |
License/registration number |
npi |
string |
No |
National Provider Identifier |
color_code |
string |
No |
Hex color for UI |
Request
curl --location '{base_url}/v1/clinic/update-clinic-staff/10234' \
--header 'Authorization: Bearer JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"update_user_dto": {
"first_name": "Jane",
"last_name": "Doe-Updated",
"mobile": "5559876543",
"status": "ACTIVE"
},
"create_doctor_dto": {
"about": "Updated bio.",
"npi": "9876543210"
}
}'
Response
Success Response
Code: 200 OK
{
"code": 2000,
"data": {
"id": 10234,
"first_name": "Jane",
"last_name": "Doe-Updated",
"email": "jane.doe@example.com",
"mobile": "5559876543",
"status": "ACTIVE",
"roles": ["DOCTOR"]
},
"message": "Success"
}
Error Response
Code: 400 Bad Request
{
"code": 4000,
"message": "Permission Denied",
"data": null
}